---
title: "Read the workspace's Add Call History defaults"
description: "Returns the employee, call result, call type and call queue codes this workspace writes call history with."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`GET /api/integrations/leadperfection/call-history-defaults`

Returns the employee, call result, call type and call queue codes this workspace writes call history with.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Header parameters

- `x-workspace-id` (`get/api/integrations/leadperfection/call-history-defaults.header.x-workspace-id`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.channelautomation.com/api/integrations/leadperfection/call-history-defaults \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: string'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/integrations/leadperfection/call-history-defaults';
const options = {
  method: 'GET',
  headers: {'x-workspace-id': 'string', Authorization: 'Bearer <token>'}
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/integrations/leadperfection/call-history-defaults"

headers = {
    "x-workspace-id": "string",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Defaults for the workspace; empty strings when never configured.


Source: https://developer.channelautomations.com/api/get-api-integrations-leadperfection-call-history-defaults/index.md
